# Class ScriptProcessRunnable

java.lang.Object
org.jmol.script.ScriptProcessRunnable

All Implemented Interfaces:
  `Runnable`

public class ScriptProcessRunnable extends Object implements Runnable

## Constructor Summary

Constructors
Constructor
Description
`ScriptProcessRunnable(ScriptParallelProcessor parallelProcessor, org.jmol.script.ScriptProcess process, Object lock, ShapeManager shapeManager)`

## Method Summary

Modifier and Type
Method
Description
`void`
`run()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ScriptProcessRunnable

public ScriptProcessRunnable(ScriptParallelProcessor parallelProcessor, org.jmol.script.ScriptProcess process, Object lock, ShapeManager shapeManager)

Parameters:
  `parallelProcessor` - TODO
  `process` -
  `lock` -
  `shapeManager` -

## Method Details

### run

public void run()

Specified by:
  `run` in interface `Runnable`